LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y
- ~

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages

### - o -

- OBroadcastHelperVar() : cppu::OBroadcastHelperVar< container, keyType >
- OComponentHelper() : cppu::OComponentHelper
- ODynamicLoader() : salhelper::ODynamicLoader< API >
- OImplementationId() : cppu::OImplementationId
- OInterfaceContainerHelper() : cppu::OInterfaceContainerHelper
- OInterfaceIteratorHelper() : cppu::OInterfaceIteratorHelper
- OMultiTypeInterfaceContainerHelper() : cppu::OMultiTypeInterfaceContainerHelper
- OMultiTypeInterfaceContainerHelperInt32() : cppu::OMultiTypeInterfaceContainerHelperInt32
- OMultiTypeInterfaceContainerHelperVar() : cppu::OMultiTypeInterfaceContainerHelperVar< key, hashImpl, equalImpl >
- onShot() : salhelper::Timer
- onTerminated() : osl::Thread
- open() : osl::Directory , osl::File
- operator const Reference< XInterface > &() : com::sun::star::uno::Reference< typename >
- operator delete() : cppu::IPropertyArrayHelper , cppu::OInterfaceContainerHelper , cppu::OMultiTypeInterfaceContainerHelper , cppu::OMultiTypeInterfaceContainerHelperInt32 , cppu::OMultiTypeInterfaceContainerHelperVar< key, hashImpl, equalImpl > , osl::Thread , salhelper::ReferenceObject , salhelper::SimpleReferenceObject , salhelper::Thread
- operator new() : cppu::IPropertyArrayHelper , cppu::OInterfaceContainerHelper , cppu::OMultiTypeInterfaceContainerHelper , cppu::OMultiTypeInterfaceContainerHelperInt32 , cppu::OMultiTypeInterfaceContainerHelperVar< key, hashImpl, equalImpl > , osl::Thread , salhelper::ReferenceObject , salhelper::SimpleReferenceObject , salhelper::Thread
- operator oslModule() : osl::Module
- operator oslThread() : osl::Thread
- operator oslThreadKey() : osl::ThreadData
- operator Reference< interface_type >() : com::sun::star::uno::WeakReference< interface_type >
- operator Reference< XInterface >() : com::sun::star::uno::WeakReferenceHelper
- operator!=() : com::sun::star::uno::Any , com::sun::star::uno::BaseReference , com::sun::star::uno::Sequence< typename > , com::sun::star::uno::Type , rtl::ByteSequence , rtl::Reference< reference_type >
- operator()() : cppu::equalInt32_Impl , cppu::hashInt32_Impl , cppu::hashType_Impl , osl::GetGlobalMutex , rtl::CStringEqual , rtl::CStringHash , rtl::OStringHash , rtl::OUStringHash
- operator*() : rtl::Reference< reference_type > , salhelper::SingletonRef< SingletonClass >
- operator+=() : rtl::OString , rtl::OUString
- operator->() : com::sun::star::uno::Reference< typename > , cppu::AccessControl , rtl::Reference< reference_type > , salhelper::ODynamicLoader< API > , salhelper::SingletonRef< SingletonClass >
- operator::com::sun::star::uno::Reference() : cppu::OWeakObject
- operator<() : com::sun::star::uno::BaseReference , rtl::Reference< reference_type >
- operator=() : com::sun::star::uno::Any , com::sun::star::uno::Environment , com::sun::star::uno::Mapping , com::sun::star::uno::Reference< typename > , com::sun::star::uno::Sequence< typename > , com::sun::star::uno::Type , com::sun::star::uno::TypeDescription , com::sun::star::uno::WeakReference< interface_type > , com::sun::star::uno::WeakReferenceHelper , cppu::BootstrapException , cppu::OWeakObject , cppu::UnoUrl , cppu::UnoUrlDescriptor , osl::DirectoryItem , osl::Pipe , osl::Socket , osl::SocketAddr , osl::StreamPipe , osl::VolumeDevice , rtl::ByteSequence , rtl::MalformedUriException , rtl::OString , rtl::OStringBuffer , rtl::OUString , rtl::OUStringBuffer , rtl::Reference< reference_type > , salhelper::ConditionWaiter::timedout , salhelper::ODynamicLoader< API >
- operator==() : com::sun::star::uno::Any , com::sun::star::uno::BaseReference , com::sun::star::uno::Sequence< typename > , com::sun::star::uno::Type , com::sun::star::uno::WeakReferenceHelper , osl::Pipe , osl::Socket , osl::SocketAddr , rtl::ByteSequence , rtl::Reference< reference_type >
- operator>() : rtl::Reference< reference_type >
- operator[]() : com::sun::star::uno::Sequence< typename > , rtl::ByteSequence , rtl::OString , rtl::OStringBuffer , rtl::OUString , rtl::OUStringBuffer
- operator[] instead") OStringBuffer & setCharAt() : rtl::OStringBuffer
- operator[] instead") OUStringBuffer & setCharAt() : rtl::OUStringBuffer
- operator[] instead") sal_Char charAt() : rtl::OStringBuffer
- operator[] instead") sal_Unicode charAt() : rtl::OUStringBuffer
- OPropertyArrayHelper() : cppu::OPropertyArrayHelper
- OPropertySetHelper() : cppu::OPropertySetHelper
- OPropertySetHelper2() : cppu::OPropertySetHelper2
- ORealDynamicLoader() : salhelper::ORealDynamicLoader
- OString() : rtl::OString
- OStringBuffer() : rtl::OStringBuffer
- OTypeCollection() : cppu::OTypeCollection
- OUString() : rtl::OUString
- OUStringBuffer() : rtl::OUStringBuffer
- OWeakAggObject() : cppu::OWeakAggObject
- OWeakObject() : cppu::OWeakObject